@echo off
rem --------------------------------------------
rem  This example batch file shows what actions
rem    can be done when driver returns error
rem 
rem           Works on Win2000, WinXP
rem --------------------------------------------

set ResultFileName=result.tmp

:EXEC
echo.
echo Sending fiscal commands to ECR ...
chd_fdrv.exe %1
if errorlevel 101 goto EL101
if errorlevel 2 goto EL2
if errorlevel 1 goto EL1
goto END

:EL1
echo.
echo There is an error found in file with fiscal commands.
echo No one fiscal command was send yet.
echo Inform service personnel supporting your main program.
echo C - Cancel (return error to main program)
echo M - Transaction entered manually on ECR (return OK to main program)
:LOOP1
set /p c=? 
if /i "%c%" == "R" goto EXEC
if /i "%c%" == "M" goto MANUAL
goto LOOP1

:EL2
echo.
echo Communication error. No one fiscal command was send yet.
echo Check ECR is switched on and key lock is in REG position.
echo R - Resend transaction to ECR
echo C - Cancel (return error to main program)
echo M - Transaction entered manually on ECR (return OK to main program)
:LOOP2
set /p c=? 
if /i "%c%" == "R" goto EXEC
if /i "%c%" == "C" goto END
if /i "%c%" == "M" goto MANUAL
goto LOOP2

:EL101
echo.
echo Error during sending fiscal commands to ECR !
echo Please check printed receipt and select what to do:
echo R - Resend transaction to ECR (please check receipt not yet started)
echo C - Cancel (return error to main program)
echo M - Transaction finished manually on ECR (return OK to main program)
:LOOP3
set /p c=? 
if /i "%c%" == "R" goto EXEC
if /i "%c%" == "C" goto END
if /i "%c%" == "M" goto MANUAL
goto LOOP3

:MANUAL
set /p rn=Result receipt number ? 
echo.0>%ResultFileName%
echo OK>>%ResultFileName%
echo ReceiptNo=%rn%>>%ResultFileName%
goto END

:END